<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__syspm__data__structures" kind="group">
    <compoundname>group_syspm_data_structures</compoundname>
    <title>Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__syspm__callback__params__t">cy_stc_syspm_callback_params_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__syspm__callback__t">cy_stc_syspm_callback_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__syspm__backup__regs__t">cy_stc_syspm_backup_regs_t</innerclass>
      <sectiondef kind="typedef">
      <memberdef id="group__group__syspm__data__structures_1ga0b54e47bca8fb045d86884a9b3d12067" kind="typedef" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref>(*</type>
        <definition>typedef cy_en_syspm_status_t(* Cy_SysPmCallback) (cy_stc_syspm_callback_params_t *callbackParams, cy_en_syspm_callback_mode_t mode)</definition>
        <argsstring>)(cy_stc_syspm_callback_params_t *callbackParams, cy_en_syspm_callback_mode_t mode)</argsstring>
        <name>Cy_SysPmCallback</name>
        <briefdescription>
<para>The type for syspm callbacks. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1745" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1745" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>